QuantLib: ZeroCouponInflationSwapHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ZeroCouponInflationSwapHelper Class Reference

Zero-coupon inflation-swap bootstrap helper. More...

`#include <ql/termstructures/inflation/inflationhelpers.hpp>`

Inheritance diagram for ZeroCouponInflationSwapHelper:
[legend]

## Public Member Functions
| ZeroCouponInflationSwapHelper (const Handle< Quote > &quote, const Period &swapObsLag, const Date &maturity, const Calendar &calendar, BusinessDayConvention paymentConvention, const DayCounter &dayCounter, const boost::shared_ptr< ZeroInflationIndex > &zii)
void | setTermStructure (ZeroInflationTermStructure *)
| sets the term structure to be used for pricing More...
Real | impliedQuote () const
Public Member Functions inherited from BootstrapHelper< ZeroInflationTermStructure >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
virtual void | update ()
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes
Period | swapObsLag_
Date | maturity_
Calendar | calendar_
BusinessDayConvention | paymentConvention_
DayCounter | dayCounter_
boost::shared_ptr< ZeroInflationIndex > | zii_
boost::shared_ptr< ZeroCouponInflationSwap > | zciis_
Protected Attributes inherited from BootstrapHelper< ZeroInflationTermStructure >
Handle< Quote > | quote_
ZeroInflationTermStructure * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

Zero-coupon inflation-swap bootstrap helper.

## Member Function Documentation

void setTermStructure | ( | ZeroInflationTermStructure * |  | ) |
| virtual

sets the term structure to be used for pricing

Warning:
  Being a pointer and not a shared_ptr, the term structure is not guaranteed to remain allocated for the whole life of the rate helper. It is responsibility of the programmer to ensure that the pointer remains valid. It is advised that this method is called only inside the term structure being bootstrapped, setting the pointer to this, i.e., the term structure itself.

Reimplemented from BootstrapHelper< ZeroInflationTermStructure >.